Index: uspace/srv/net/net/net.h
===================================================================
--- uspace/srv/net/net/net.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/net/net/net.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -103,10 +103,10 @@
 	
 	/** Serving network interface driver module index. */
-	module_ref driver;
+	module_t *driver;
 	
-	device_id_t id;  /**< System-unique network interface identifier. */
-	module_ref il;   /**< Serving internet layer module index. */
-	char *name;      /**< System-unique network interface name. */
-	module_ref nil;  /**< Serving link layer module index. */
+	device_id_t id;	/**< System-unique network interface identifier. */
+	module_t *il;	/**< Serving internet layer module index. */
+	char *name;	/**< System-unique network interface name. */
+	module_t *nil;	/**< Serving link layer module index. */
 } netif_t;
 
@@ -133,5 +133,5 @@
 } net_globals_t;
 
-extern int add_configuration(measured_strings_ref, const char *, const char *);
+extern int add_configuration(measured_strings_t *, const char *, const char *);
 extern int net_module_message(ipc_callid_t, ipc_call_t *, ipc_call_t *, int *);
 extern int net_initialize_build(async_client_conn_t);
Index: uspace/srv/net/netif/lo/lo.c
===================================================================
--- uspace/srv/net/netif/lo/lo.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/net/netif/lo/lo.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -70,5 +70,5 @@
 }
 
-int netif_get_addr_message(device_id_t device_id, measured_string_ref address)
+int netif_get_addr_message(device_id_t device_id, measured_string_t *address)
 {
 	if (!address)
@@ -81,5 +81,5 @@
 }
 
-int netif_get_device_stats(device_id_t device_id, device_stats_ref stats)
+int netif_get_device_stats(device_id_t device_id, device_stats_t *stats)
 {
 	netif_device_t *device;
@@ -93,5 +93,5 @@
 		return rc;
 
-	memcpy(stats, (device_stats_ref) device->specific,
+	memcpy(stats, (device_stats_t *) device->specific,
 	    sizeof(device_stats_t));
 
@@ -103,6 +103,6 @@
  * @param[in] device	The device structure.
  * @param[in] state	The new device state.
- * @returns		The new state if changed.
- * @returns		EOK otherwise.
+ * @return		The new state if changed.
+ * @return		EOK otherwise.
  */
 static int change_state_message(netif_device_t *device, device_state_t state)
@@ -124,7 +124,7 @@
  * @param[in] device_id	The new devce identifier.
  * @param[out] device	The device structure.
- * @returns		EOK on success.
- * @returns		EXDEV if one loopback network interface already exists.
- * @returns		ENOMEM if there is not enough memory left.
+ * @return		EOK on success.
+ * @return		EXDEV if one loopback network interface already exists.
+ * @return		ENOMEM if there is not enough memory left.
  */
 static int create(device_id_t device_id, netif_device_t **device)
@@ -145,5 +145,5 @@
 	}
 
-	null_device_stats((device_stats_ref) (*device)->specific);
+	null_device_stats((device_stats_t *) (*device)->specific);
 	(*device)->device_id = device_id;
 	(*device)->nil_phone = -1;
@@ -204,9 +204,9 @@
 	next = packet;
 	do {
-		((device_stats_ref) device->specific)->send_packets++;
-		((device_stats_ref) device->specific)->receive_packets++;
+		((device_stats_t *) device->specific)->send_packets++;
+		((device_stats_t *) device->specific)->receive_packets++;
 		length = packet_get_data_length(next);
-		((device_stats_ref) device->specific)->send_bytes += length;
-		((device_stats_ref) device->specific)->receive_bytes += length;
+		((device_stats_t *) device->specific)->send_bytes += length;
+		((device_stats_t *) device->specific)->receive_bytes += length;
 		next = pq_next(next);
 	} while(next);
Index: uspace/srv/net/nil/eth/eth.c
===================================================================
--- uspace/srv/net/nil/eth/eth.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/net/nil/eth/eth.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -156,9 +156,4 @@
 typedef enum eth_addr_type eth_addr_type_t;
 
-/** Type definition of the ethernet address type pointer.
- * @see eth_addr_type
- */
-typedef eth_addr_type_t *eth_addr_type_ref;
-
 /** Ethernet address type. */
 enum eth_addr_type {
@@ -178,5 +173,5 @@
 {
 	int index;
-	eth_proto_ref proto;
+	eth_proto_t *proto;
 
 	fibril_rwlock_read_lock(&eth_globals.protos_lock);
@@ -273,12 +268,12 @@
  * @param[in] service	The device driver service.
  * @param[in] mtu	The device maximum transmission unit.
- * @returns		EOK on success.
- * @returns		EEXIST if the device with the different service exists.
- * @returns		ENOMEM if there is not enough memory left.
- * @returns		Other error codes as defined for the
+ * @return		EOK on success.
+ * @return		EEXIST if the device with the different service exists.
+ * @return		ENOMEM if there is not enough memory left.
+ * @return		Other error codes as defined for the
  *			net_get_device_conf_req() function.
- * @returns		Other error codes as defined for the
+ * @return		Other error codes as defined for the
  *			netif_bind_service() function.
- * @returns		Other error codes as defined for the
+ * @return		Other error codes as defined for the
  *			netif_get_addr_req() function.
  */
@@ -286,5 +281,5 @@
     size_t mtu)
 {
-	eth_device_ref device;
+	eth_device_t *device;
 	int index;
 	measured_string_t names[2] = {
@@ -298,8 +293,8 @@
 		}
 	};
-	measured_string_ref configuration;
+	measured_string_t *configuration;
 	size_t count = sizeof(names) / sizeof(measured_string_t);
 	char *data;
-	eth_proto_ref proto;
+	eth_proto_t *proto;
 	int rc;
 
@@ -342,5 +337,5 @@
 	
 	/* Create a new device */
-	device = (eth_device_ref) malloc(sizeof(eth_device_t));
+	device = (eth_device_t *) malloc(sizeof(eth_device_t));
 	if (!device)
 		return ENOMEM;
@@ -427,19 +422,19 @@
  * @param[in] flags	The device flags.
  * @param[in] packet	The packet.
- * @returns		The target registered module.
- * @returns		NULL if the packet is not long enough.
- * @returns		NULL if the packet is too long.
- * @returns		NULL if the raw ethernet protocol is used.
- * @returns		NULL if the dummy device FCS checksum is invalid.
- * @returns		NULL if the packet address length is not big enough.
- */
-static eth_proto_ref eth_process_packet(int flags, packet_t packet)
-{
-	eth_header_snap_ref header;
+ * @return		The target registered module.
+ * @return		NULL if the packet is not long enough.
+ * @return		NULL if the packet is too long.
+ * @return		NULL if the raw ethernet protocol is used.
+ * @return		NULL if the dummy device FCS checksum is invalid.
+ * @return		NULL if the packet address length is not big enough.
+ */
+static eth_proto_t *eth_process_packet(int flags, packet_t packet)
+{
+	eth_header_snap_t *header;
 	size_t length;
 	eth_type_t type;
 	size_t prefix;
 	size_t suffix;
-	eth_fcs_ref fcs;
+	eth_fcs_t *fcs;
 	uint8_t *data;
 	int rc;
@@ -454,5 +449,5 @@
 	
 	data = packet_get_data(packet);
-	header = (eth_header_snap_ref) data;
+	header = (eth_header_snap_t *) data;
 	type = ntohs(header->header.ethertype);
 	
@@ -461,5 +456,5 @@
 		prefix = sizeof(eth_header_t);
 		suffix = 0;
-		fcs = (eth_fcs_ref) data + length - sizeof(eth_fcs_t);
+		fcs = (eth_fcs_t *) data + length - sizeof(eth_fcs_t);
 		length -= sizeof(eth_fcs_t);
 	} else if(type <= ETH_MAX_CONTENT) {
@@ -487,5 +482,5 @@
 
 		suffix = (type < ETH_MIN_CONTENT) ? ETH_MIN_CONTENT - type : 0U;
-		fcs = (eth_fcs_ref) data + prefix + type + suffix;
+		fcs = (eth_fcs_t *) data + prefix + type + suffix;
 		suffix += length - prefix - type;
 		length = prefix + type + suffix;
@@ -516,7 +511,7 @@
     packet_t packet, services_t target)
 {
-	eth_proto_ref proto;
+	eth_proto_t *proto;
 	packet_t next;
-	eth_device_ref device;
+	eth_device_t *device;
 	int flags;
 
@@ -557,12 +552,12 @@
  * @param[out] content	The maximum content size.
  * @param[out] suffix	The minimum reserved suffix size.
- * @returns		EOK on success.
- * @returns		EBADMEM if either one of the parameters is NULL.
- * @returns		ENOENT if there is no such device.
+ * @return		EOK on success.
+ * @return		EBADMEM if either one of the parameters is NULL.
+ * @return		ENOENT if there is no such device.
  */
 static int eth_packet_space_message(device_id_t device_id, size_t *addr_len,
     size_t *prefix, size_t *content, size_t *suffix)
 {
-	eth_device_ref device;
+	eth_device_t *device;
 
 	if (!addr_len || !prefix || !content || !suffix)
@@ -591,12 +586,12 @@
  * @param[in] type	Type of the desired address.
  * @param[out] address	The device hardware address.
- * @returns		EOK on success.
- * @returns		EBADMEM if the address parameter is NULL.
- * @returns		ENOENT if there no such device.
+ * @return		EOK on success.
+ * @return		EBADMEM if the address parameter is NULL.
+ * @return		ENOENT if there no such device.
  */
 static int eth_addr_message(device_id_t device_id, eth_addr_type_t type,
-    measured_string_ref *address)
-{
-	eth_device_ref device;
+    measured_string_t **address)
+{
+	eth_device_t *device;
 
 	if (!address)
@@ -625,11 +620,11 @@
  * @param[in] service	The module service.
  * @param[in] phone	The service phone.
- * @returns		EOK on success.
- * @returns		ENOENT if the service is not known.
- * @returns		ENOMEM if there is not enough memory left.
+ * @return		EOK on success.
+ * @return		ENOENT if the service is not known.
+ * @return		ENOMEM if there is not enough memory left.
  */
 static int eth_register_message(services_t service, int phone)
 {
-	eth_proto_ref proto;
+	eth_proto_t *proto;
 	int protocol;
 	int index;
@@ -646,5 +641,5 @@
 		return EOK;
 	} else {
-		proto = (eth_proto_ref) malloc(sizeof(eth_proto_t));
+		proto = (eth_proto_t *) malloc(sizeof(eth_proto_t));
 		if (!proto) {
 			fibril_rwlock_write_unlock(&eth_globals.protos_lock);
@@ -678,9 +673,9 @@
  * @param[in] ethertype	The ethernet protocol type.
  * @param[in] mtu	The device maximum transmission unit.
- * @returns		EOK on success.
- * @returns		EINVAL if the packet addresses length is not long
+ * @return		EOK on success.
+ * @return		EINVAL if the packet addresses length is not long
  *			enough.
- * @returns		EINVAL if the packet is bigger than the device MTU.
- * @returns		ENOMEM if there is not enough memory in the packet.
+ * @return		EINVAL if the packet is bigger than the device MTU.
+ * @return		ENOMEM if there is not enough memory in the packet.
  */
 static int
@@ -688,8 +683,8 @@
     size_t mtu)
 {
-	eth_header_snap_ref header;
-	eth_header_lsap_ref header_lsap;
-	eth_header_ref header_dix;
-	eth_fcs_ref fcs;
+	eth_header_snap_t *header;
+	eth_header_lsap_t *header_lsap;
+	eth_header_t *header_dix;
+	eth_fcs_t *fcs;
 	uint8_t *src;
 	uint8_t *dest;
@@ -697,5 +692,5 @@
 	int i;
 	void *padding;
-	eth_preamble_ref preamble;
+	eth_preamble_t *preamble;
 
 	i = packet_get_addr(packet, &src, &dest);
@@ -788,12 +783,12 @@
  * @param[in] packet	The packet queue.
  * @param[in] sender	The sending module service.
- * @returns		EOK on success.
- * @returns		ENOENT if there no such device.
- * @returns		EINVAL if the service parameter is not known.
+ * @return		EOK on success.
+ * @return		ENOENT if there no such device.
+ * @return		EINVAL if the service parameter is not known.
  */
 static int eth_send_message(device_id_t device_id, packet_t packet,
     services_t sender)
 {
-	eth_device_ref device;
+	eth_device_t *device;
 	packet_t next;
 	packet_t tmp;
@@ -845,5 +840,5 @@
     ipc_call_t *call, ipc_call_t *answer, int *answer_count)
 {
-	measured_string_ref address;
+	measured_string_t *address;
 	packet_t packet;
 	size_t addrlen;
Index: uspace/srv/net/nil/eth/eth.h
===================================================================
--- uspace/srv/net/nil/eth/eth.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/net/nil/eth/eth.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -54,18 +54,8 @@
 typedef struct eth_device eth_device_t;
 
-/** Type definition of the Ethernet device specific data pointer.
- * @see eth_device
- */
-typedef eth_device_t *eth_device_ref;
-
 /** Type definition of the Ethernet protocol specific data.
  * @see eth_proto
  */
 typedef struct eth_proto eth_proto_t;
-
-/** Type definition of the Ethernet protocol specific data pointer.
- * @see eth_proto
- */
-typedef eth_proto_t *eth_proto_ref;
 
 /** Ethernet device map.
@@ -100,5 +90,5 @@
 	
 	/** Actual device hardware address. */
-	measured_string_ref addr;
+	measured_string_t *addr;
 	/** Actual device hardware address data. */
 	char *addr_data;
@@ -133,5 +123,5 @@
 	
 	/** Broadcast device hardware address. */
-	measured_string_ref broadcast_addr;
+	measured_string_t *broadcast_addr;
 };
 
Index: uspace/srv/net/nil/eth/eth_header.h
===================================================================
--- uspace/srv/net/nil/eth/eth_header.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/net/nil/eth/eth_header.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -58,20 +58,8 @@
 typedef struct eth_header_snap eth_header_snap_t;
 
-/** Type definition of the Ethernet header IEEE 802.3 + 802.2 + SNAP extensions
- * pointer.
- *
- * @see eth_header_snap
- */
-typedef eth_header_snap_t *eth_header_snap_ref;
-
 /** Type definition of the Ethernet header IEEE 802.3 + 802.2 + SNAP extensions.
  * @see eth_header_lsap
  */
 typedef struct eth_header_lsap eth_header_lsap_t;
-
-/** Type definition of the Ethernet header IEEE 802.3 + 802.2 extension pointer.
- * @see eth_header_lsap
- */
-typedef eth_header_lsap_t *eth_header_lsap_ref;
 
 /** Type definition of the Ethernet header LSAP extension.
@@ -80,18 +68,8 @@
 typedef struct eth_ieee_lsap eth_ieee_lsap_t;
 
-/** Type definition of the Ethernet header LSAP extension pointer.
- * @see eth_ieee_lsap
- */
-typedef eth_ieee_lsap_t *eth_ieee_lsap_ref;
-
 /** Type definition of the Ethernet header SNAP extension.
  * @see eth_snap
  */
 typedef struct eth_snap eth_snap_t;
-
-/** Type definition of the Ethernet header SNAP extension pointer.
- * @see eth_snap
- */
-typedef eth_snap_t *eth_snap_ref;
 
 /** Type definition of the Ethernet header preamble.
@@ -100,18 +78,8 @@
 typedef struct eth_preamble eth_preamble_t;
 
-/** Type definition of the Ethernet header preamble pointer.
- * @see eth_preamble
- */
-typedef eth_preamble_t *eth_preamble_ref;
-
 /** Type definition of the Ethernet header.
  * @see eth_header
  */
 typedef struct eth_header eth_header_t;
-
-/** Type definition of the Ethernet header pointer.
- * @see eth_header
- */
-typedef eth_header_t *eth_header_ref;
 
 /** Ethernet header Link Service Access Point extension. */
@@ -219,7 +187,4 @@
 typedef uint32_t eth_fcs_t;
 
-/** Ethernet Frame Check Sequence pointer. */
-typedef eth_fcs_t *eth_fcs_ref;
-
 #endif
 
Index: uspace/srv/net/nil/nildummy/nildummy.c
===================================================================
--- uspace/srv/net/nil/nildummy/nildummy.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/net/nil/nildummy/nildummy.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -142,10 +142,10 @@
  * @param[in] service	The device driver service.
  * @param[in] mtu	The device maximum transmission unit.
- * @returns		EOK on success.
- * @returns		EEXIST if the device with the different service exists.
- * @returns		ENOMEM if there is not enough memory left.
- * @returns		Other error codes as defined for the
+ * @return		EOK on success.
+ * @return		EEXIST if the device with the different service exists.
+ * @return		ENOMEM if there is not enough memory left.
+ * @return		Other error codes as defined for the
  *			netif_bind_service() function.
- * @returns		Other error codes as defined for the
+ * @return		Other error codes as defined for the
  *			netif_get_addr_req() function.
  */
@@ -153,5 +153,5 @@
     size_t mtu)
 {
-	nildummy_device_ref device;
+	nildummy_device_t *device;
 	int index;
 	int rc;
@@ -192,5 +192,5 @@
 	
 	/* Create a new device */
-	device = (nildummy_device_ref) malloc(sizeof(nildummy_device_t));
+	device = (nildummy_device_t *) malloc(sizeof(nildummy_device_t));
 	if (!device)
 		return ENOMEM;
@@ -248,7 +248,7 @@
  */
 static int nildummy_addr_message(device_id_t device_id,
-    measured_string_ref *address)
-{
-	nildummy_device_ref device;
+    measured_string_t **address)
+{
+	nildummy_device_t *device;
 
 	if (!address)
@@ -282,5 +282,5 @@
     size_t *prefix, size_t *content, size_t *suffix)
 {
-	nildummy_device_ref device;
+	nildummy_device_t *device;
 
 	if (!addr_len || !prefix || !content || !suffix)
@@ -357,5 +357,5 @@
     services_t sender)
 {
-	nildummy_device_ref device;
+	nildummy_device_t *device;
 
 	fibril_rwlock_read_lock(&nildummy_globals.devices_lock);
@@ -377,5 +377,5 @@
     ipc_call_t *call, ipc_call_t *answer, int *answer_count)
 {
-	measured_string_ref address;
+	measured_string_t *address;
 	packet_t packet;
 	size_t addrlen;
Index: uspace/srv/net/nil/nildummy/nildummy.h
===================================================================
--- uspace/srv/net/nil/nildummy/nildummy.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/net/nil/nildummy/nildummy.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -54,18 +54,8 @@
 typedef struct nildummy_device nildummy_device_t;
 
-/** Type definition of the dummy nil device specific data pointer.
- * @see nildummy_device
- */
-typedef nildummy_device_t *nildummy_device_ref;
-
 /** Type definition of the dummy nil protocol specific data.
  * @see nildummy_proto
  */
 typedef struct nildummy_proto nildummy_proto_t;
-
-/** Type definition of the dummy nil protocol specific data pointer.
- * @see nildummy_proto
- */
-typedef nildummy_proto_t *nildummy_proto_ref;
 
 /** Dummy nil device map.
@@ -86,5 +76,5 @@
 	size_t mtu;
 	/** Actual device hardware address. */
-	measured_string_ref addr;
+	measured_string_t *addr;
 	/** Actual device hardware address data. */
 	char *addr_data;
Index: uspace/srv/net/tl/icmp/icmp.c
===================================================================
--- uspace/srv/net/tl/icmp/icmp.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/net/tl/icmp/icmp.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -100,5 +100,5 @@
  * @param[in,out] header The ICMP datagram header.
  * @param[in] length	The total datagram length.
- * @returns		The computed checksum.
+ * @return		The computed checksum.
  */
 #define ICMP_CHECKSUM(header, length) \
@@ -112,5 +112,5 @@
  * @param[in] id	The message identifier.
  * @param[in] sequence	The message sequence number.
- * @returns		The computed ICMP reply data key.
+ * @return		The computed ICMP reply data key.
  */
 #define ICMP_GET_REPLY_KEY(id, sequence) \
@@ -128,5 +128,5 @@
  * @param[in] packet	The packet queue to be released.
  * @param[in] result	The result to be returned.
- * @returns		The result parameter.
+ * @return		The result parameter.
  */
 static int icmp_release_and_return(packet_t packet, int result)
@@ -152,9 +152,9 @@
  * @param[in] dont_fragment The value indicating whether the datagram must not
  *			be fragmented. Is used as a MTU discovery.
- * @returns		EOK on success.
- * @returns		EPERM if the error message is not allowed.
+ * @return		EOK on success.
+ * @return		EPERM if the error message is not allowed.
  */
 static int icmp_send_packet(icmp_type_t type, icmp_code_t code, packet_t packet,
-    icmp_header_ref header, services_t error, ip_ttl_t ttl, ip_tos_t tos,
+    icmp_header_t *header, services_t error, ip_ttl_t ttl, ip_tos_t tos,
     int dont_fragment)
 {
@@ -186,10 +186,10 @@
  *
  * @param[in,out] packet The original packet.
- * @returns The prefixed ICMP header.
- * @returns NULL on errors.
- */
-static icmp_header_ref icmp_prepare_packet(packet_t packet)
-{
-	icmp_header_ref header;
+ * @return The prefixed ICMP header.
+ * @return NULL on errors.
+ */
+static icmp_header_t *icmp_prepare_packet(packet_t packet)
+{
+	icmp_header_t *header;
 	size_t header_length;
 	size_t total_length;
@@ -234,12 +234,12 @@
  * @param[in] addr	The target host address.
  * @param[in] addrlen	The torget host address length.
- * @returns		ICMP_ECHO on success.
- * @returns		ETIMEOUT if the reply has not arrived before the
+ * @return		ICMP_ECHO on success.
+ * @return		ETIMEOUT if the reply has not arrived before the
  *			timeout.
- * @returns		ICMP type of the received error notification.
- * @returns		EINVAL if the addrlen parameter is less or equal to
+ * @return		ICMP type of the received error notification.
+ * @return		EINVAL if the addrlen parameter is less or equal to
  *			zero.
- * @returns		ENOMEM if there is not enough memory left.
- * @returns		EPARTY if there was an internal error.
+ * @return		ENOMEM if there is not enough memory left.
+ * @return		EPARTY if there was an internal error.
  */
 static int icmp_echo(icmp_param_t id, icmp_param_t sequence, size_t size,
@@ -247,9 +247,9 @@
     const struct sockaddr * addr, socklen_t addrlen)
 {
-	icmp_header_ref header;
+	icmp_header_t *header;
 	packet_t packet;
 	size_t length;
 	uint8_t *data;
-	icmp_reply_ref reply;
+	icmp_reply_t *reply;
 	int reply_key;
 	int index;
@@ -342,5 +342,5 @@
     icmp_code_t code, icmp_param_t mtu, packet_t packet)
 {
-	icmp_header_ref header;
+	icmp_header_t *header;
 
 	header = icmp_prepare_packet(packet);
@@ -357,5 +357,5 @@
 static int icmp_source_quench_msg_local(int icmp_phone, packet_t packet)
 {
-	icmp_header_ref header;
+	icmp_header_t *header;
 
 	header = icmp_prepare_packet(packet);
@@ -370,5 +370,5 @@
     packet_t packet)
 {
-	icmp_header_ref header;
+	icmp_header_t *header;
 
 	header = icmp_prepare_packet(packet);
@@ -383,5 +383,5 @@
     icmp_param_t pointer, packet_t packet)
 {
-	icmp_header_ref header;
+	icmp_header_t *header;
 
 	header = icmp_prepare_packet(packet);
@@ -398,6 +398,6 @@
  * @param[in] client_connection The client connection processing function. The
  *			module skeleton propagates its own one.
- * @returns		EOK on success.
- * @returns		ENOMEM if there is not enough memory left.
+ * @return		EOK on success.
+ * @return		ENOMEM if there is not enough memory left.
  */
 int icmp_initialize(async_client_conn_t client_connection)
@@ -413,5 +413,5 @@
 		}
 	};
-	measured_string_ref configuration;
+	measured_string_t *configuration;
 	size_t count = sizeof(names) / sizeof(measured_string_t);
 	char *data;
@@ -479,9 +479,9 @@
  * @param[in] code	The received reply message code.
  */
-static void  icmp_process_echo_reply(packet_t packet, icmp_header_ref header,
+static void  icmp_process_echo_reply(packet_t packet, icmp_header_t *header,
     icmp_type_t type, icmp_code_t code)
 {
 	int reply_key;
-	icmp_reply_ref reply;
+	icmp_reply_t *reply;
 
 	/* Compute the reply key */
@@ -507,13 +507,13 @@
  * @param[in] error	The packet error reporting service. Prefixes the
  *			received packet.
- * @returns		EOK on success.
- * @returns		EINVAL if the packet is not valid.
- * @returns		EINVAL if the stored packet address is not the an_addr_t.
- * @returns		EINVAL if the packet does not contain any data.
- * @returns		NO_DATA if the packet content is shorter than the user
+ * @return		EOK on success.
+ * @return		EINVAL if the packet is not valid.
+ * @return		EINVAL if the stored packet address is not the an_addr_t.
+ * @return		EINVAL if the packet does not contain any data.
+ * @return		NO_DATA if the packet content is shorter than the user
  *			datagram header.
- * @returns		ENOMEM if there is not enough memory left.
- * @returns		EADDRNOTAVAIL if the destination socket does not exist.
- * @returns		Other error codes as defined for the
+ * @return		ENOMEM if there is not enough memory left.
+ * @return		EADDRNOTAVAIL if the destination socket does not exist.
+ * @return		Other error codes as defined for the
  *			ip_client_process_packet() function.
  */
@@ -525,5 +525,5 @@
 	int result;
 	void *data;
-	icmp_header_ref header;
+	icmp_header_t *header;
 	icmp_type_t type;
 	icmp_code_t code;
@@ -567,5 +567,5 @@
 
 	/* Get ICMP header */
-	header = (icmp_header_ref) data;
+	header = (icmp_header_t *) data;
 
 	if (header->checksum) {
@@ -654,6 +654,6 @@
  * @param[in] error	The packet error reporting service. Prefixes the
  *			received packet.
- * @returns		EOK on success.
- * @returns		Other error codes as defined for the
+ * @return		EOK on success.
+ * @return		Other error codes as defined for the
  *			icmp_process_packet() function.
  */
@@ -673,15 +673,15 @@
  *
  * @param[in] call	The message parameters.
- * @returns		EOK on success.
- * @returns		ENOTSUP if the message is not known.
- * @returns		Other error codes as defined for the packet_translate()
+ * @return		EOK on success.
+ * @return		ENOTSUP if the message is not known.
+ * @return		Other error codes as defined for the packet_translate()
  *			function.
- * @returns		Other error codes as defined for the
+ * @return		Other error codes as defined for the
  *			icmp_destination_unreachable_msg_local() function.
- * @returns		Other error codes as defined for the
+ * @return		Other error codes as defined for the
  *			icmp_source_quench_msg_local() function.
- * @returns		Other error codes as defined for the
+ * @return		Other error codes as defined for the
  *			icmp_time_exceeded_msg_local() function.
- * @returns		Other error codes as defined for the
+ * @return		Other error codes as defined for the
  *			icmp_parameter_problem_msg_local() function.
  *
@@ -731,9 +731,9 @@
  *
  * @param[in,out] echo_data The echo data to be bound.
- * @returns		Index of the inserted echo data.
- * @returns		EBADMEM if the echo_data parameter is NULL.
- * @returns		ENOTCONN if no free identifier have been found.
- */
-static int icmp_bind_free_id(icmp_echo_ref echo_data)
+ * @return		Index of the inserted echo data.
+ * @return		EBADMEM if the echo_data parameter is NULL.
+ * @return		ENOTCONN if no free identifier have been found.
+ */
+static int icmp_bind_free_id(icmp_echo_t *echo_data)
 {
 	icmp_param_t index;
@@ -778,5 +778,5 @@
  * @param[in] callid	The message identifier.
  * @param[in] call	The message parameters.
- * @returns EOK.
+ * @return EOK.
  *
  * @see icmp_interface.h
@@ -791,5 +791,5 @@
 	struct sockaddr *addr;
 	ipc_callid_t data_callid;
-	icmp_echo_ref echo_data;
+	icmp_echo_t *echo_data;
 	int rc = EOK;
 
@@ -800,5 +800,5 @@
 	answer_count = 0;
 
-	echo_data = (icmp_echo_ref) malloc(sizeof(*echo_data));
+	echo_data = (icmp_echo_t *) malloc(sizeof(*echo_data));
 	if (!echo_data)
 		return ENOMEM;
@@ -887,6 +887,6 @@
  * @param[out] answer_count The last parameter for the actual answer in the
  *			answer parameter.
- * @returns		EOK on success.
- * @returns		ENOTSUP if the message is not known.
+ * @return		EOK on success.
+ * @return		ENOTSUP if the message is not known.
  *
  * @see icmp_interface.h
@@ -964,6 +964,6 @@
 /** Starts the module.
  *
- * @returns		EOK on success.
- * @returns		Other error codes as defined for each specific module
+ * @return		EOK on success.
+ * @return		Other error codes as defined for each specific module
  *			start function.
  */
Index: uspace/srv/net/tl/icmp/icmp.h
===================================================================
--- uspace/srv/net/tl/icmp/icmp.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/net/tl/icmp/icmp.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -49,9 +49,4 @@
  */
 typedef struct icmp_reply icmp_reply_t;
-
-/** Type definition of the ICMP reply data pointer.
- * @see icmp_reply
- */
-typedef icmp_reply_t *icmp_reply_ref;
 
 /** Type definition of the ICMP global data.
